## cl-rsm-random 1.2

=== Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for creating library to load with UFFI
#  Author:       Kevin M. Rosenberg
#  Date Started: Aug 2003
#
#  CVS Id:   $Id: Makefile,v 1.2 2003/08/21 19:57:54 kevinrosenberg Exp $
#

base=random
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: 
	@echo select linux, mac, or solaris


linux: $(source) Makefile
	gcc -fPIC -DPIC -c $(source) -o $(object)
	gcc -shared $(object) -o $(shared_lib)
	#gcc -shared -Wl,-soname,uffi-c-test-lib $(object) -o $(shared_lib)
	rm $(object)

mac:
	cc -dynamic -c $(source) -o $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress -o $(base).dylib $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib

solaris:
	cc -KPIC -c $(source) -o $(object)
	cc -G $(object) -o $(shared_lib)

aix-acl:
	gcc -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared -o $(shared_lib) $(object)

clean:
	rm -f $(object)

.PHONY: distclean
distclean: clean
	rm -f $(shared_lib)

## cl-rsm-random 1.1

=== debian/changelog ===
cl-rsm-random (1.1) unstable; urgency=low

  * Rename system

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 23 Aug 2003 09:51:42 -0600

cl-rsm-random (1.0) unstable; urgency=low

  * Initial upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 14 Aug 2003 17:25:21 -0600

=== debian/control ===
Source: cl-rsm-random
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.1.0

Package: cl-rsm-random
Architecture: any
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.37), cl-uffi
Recommends: cl-ptester
Description: McIntire's Common Lisp Random Number Library
 This is R. Scott McIntire's Common Lisp random number library. It uses 
 UFFI to access random number functions written in C.

## cl-rsm-random 1.2

=== debian/changelog ===
cl-rsm-random (1.2) unstable; urgency=low

  * New maintainer. (Closes: #297401: O: cl-rsm-random -- McIntire's
    Common Lisp Random Number Library)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cl-rsm-random
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Standards-Version: 3.6.1.0

=== debian/rules ===
#!/usr/bin/make -f

pkg	:= rsm-random
debpkg  := cl-rsm-random


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-pkg		:= $(clc-source)/$(pkg)
lib-dir		:= usr/lib/rsm-random
doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	make linux
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -f debian/$(debpkg).postinst.* debian/$(debpkg).prerm.* random.so *.o
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/$(pkg).
	dh_installdirs $(clc-systems) $(clc-pkg) $(doc-dir) $(lib-dir)
	dh_install $(pkg).asd $(shell echo *.lisp) $(clc-pkg)
	dh_link $(clc-pkg)/$(pkg).asd $(clc-systems)/$(pkg).asd
	dh_install random.so $(lib-dir)

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs $(shell echo *.html *.jpg)
	dh_installexamples 
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cl-rsm-random 1.4

=== debian/changelog ===
cl-rsm-random (1.4) unstable; urgency=low

  * debian/control:
    + add myself to Uploaders:.

  * debian/rules:
    + fix FTBFS: revert swap of binary-indep and binary-arch targets,
      thanks to Sebastian Bober <sbober@servercare.de> for having
      taken care of this (Closes: #471213).

 -- Luca Capello <luca@pca.it>  Thu, 08 May 2008 18:42:19 +0200

cl-rsm-random (1.3) unstable; urgency=low

  * Changed to group maintanance
  * Added Vcs-Git control field
  * swap binary-indep and binary-arch round
  * Updated Standard Version without real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Mar 2008 22:21:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: cl-rsm-random
 Section: devel
 Priority: optional
-Maintainer: Peter Van Eynde <pvaneynd@debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>
 Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.6.1.0
+Standards-Version: 3.7.3
+Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-rsm-random.git
 
 Package: cl-rsm-random
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,8 @@
 	dh_link $(clc-pkg)/$(pkg).asd $(clc-systems)/$(pkg).asd
 	dh_install random.so $(lib-dir)
 
+
+
 # Build architecture-independent files here.
 binary-indep: build install
